<?php
function valla($UA)	/* Funktionen valla($UA) r en funktion som returnerar en strng med vilken webblsare som en given anvndastrng har. Parametern $UA r vanligtvis $HTTP_USER_AGENT */
{
	// Galeon, Gnomes standardvlla, baserad p Gecko. *****
	if(ereg("Galeon", $UA)) $browser = "Galeon";
	// Konqueror, KDE's standardvlla
	elseif((ereg("Konqueror", $UA))
		|| (ereg("KHTML", $UA))) $browser = "Konqueror";
	// Links, textbaserad vlla
	elseif(ereg("Links", $UA)) $browser = "Links";
	// Lynx, textbaserad vlla
	elseif(ereg("Lynx", $UA)) $browser = "Lynx";
	// w3m, textbaserad vlla
	elseif(ereg("w3m", $UA)) $browser = "w3m";
	// Opera, norsk vlla fr flera operativsystem. *****
	elseif(ereg("Opera", $UA)) $browser = "Opera";
	// Wget,
	elseif(ereg("Wget", $UA)) $browser = "Wget";
	// Emacs/W3, Emacs' vlla. *****
	elseif((ereg("Emacs", $UA))
		|| (ereg("W3", $UA))) $browser = "EmacsW3";
	// NSCA Mosaic, urmodern. *****
	elseif((ereg("Mosaic", $UA))
		|| (ereg("NSCA", $UA))) $browser = "Mosaic";
	// Dillo
	elseif(ereg("Dillo", $UA)) $browser = "Dillo";
	// OmniWeb, en vlla fr OS X
	elseif(ereg("OmniWeb", $UA)) $browser = "OmniWeb";
	// K-Meleon, Gecko-baserad Windowsvlla *****
	elseif((ereg("K-meleon", $UA))
		|| (ereg("meleon", $UA))
		|| (ereg("kmeleon", $UA))) $browser = "KMeleon";
	// MSIE, Microsoft Internet Explorer *****
	elseif((ereg("Microsoft Mozilla", $UA))
		|| (ereg("Internet Explorer", $UA))
		|| (ereg("MSIE", $UA))
		|| (ereg("Explorer", $UA))
		|| (ereg("Iexplore", $UA))
		|| (ereg("IE", $UA))) $browser = "MSIE";
	// NS 4-, dre vllor frn Netscape *****
	elseif((ereg("Netscape Navigator 4", $UA))
		|| (ereg("Netscape Navigator 3", $UA))
		|| (ereg("Netscape Communicator", $UA))
		|| (ereg("Gold", $UA))
		|| (ereg("Navigator 4", $UA))
		|| (ereg("Navigator 3", $UA))
		|| (ereg("Navigator 2", $UA))
		|| (ereg("Navigator 1", $UA))
		|| (ereg("Netscape 4", $UA))
		|| (ereg("Netscape 3", $UA))
		|| (ereg("Netscape 2", $UA))
		|| (ereg("Netscape 1", $UA))
		|| (ereg("Mozilla/3", $UA))
		|| (ereg("Mozilla/2", $UA))
		|| (ereg("Mozilla/1", $UA))
		|| (ereg("Mozilla/0", $UA))
		|| ((ereg("Nav", $UA)) && (ereg("Mozilla/5.0", $UA)))
		|| (ereg("Mozilla/4", $UA))) $browser = "NS4";
	// NS 6+, Nya vllor frn Netscape, baserade p Mozilla. *****
	elseif((ereg("Netscape 6", $UA))
		|| (ereg("Netscape 7", $UA))
		|| (ereg("Netscape6", $UA))
		|| (ereg("Netscape/7", $UA))
		|| (ereg("Netscape", $UA))) $browser = "NS6";
	// Mozilla *****
	elseif((ereg("Mozilla", $UA))
		|| (ereg("Gecko", $UA))) $browser = "Mozilla";
	// spindlar *****
	elseif((ereg("inktomi.com", $UA))
		|| (ereg("googlebot.com", $UA))
		|| (ereg("digital-integrity.com", $UA))
		|| (ereg("DaviesBot", $UA))
		|| (ereg("FAST-WebCrawler", $UA))
		|| (ereg("Scooter", $UA))
		|| (ereg("Mercator", $UA))
		|| (ereg("LinkWalker", $UA))
		|| (ereg("Lycos_Spider", $UA))
		|| (ereg("WISEnutbot.com", $UA))
		|| (ereg("ArchitextSpider", $UA))
		|| (ereg("ia_archiver", $UA))
		|| (ereg("PolyBot", $UA))
		|| (ereg("Gulliver", $UA))
		|| (ereg("EZResult", $UA))
		|| (ereg("WebCraft", $UA))
		|| (ereg("bjaaland@antarcti.ca", $UA))
		|| (ereg("bot", $UA))
		|| (ereg("Google", $UA))
		|| (ereg("Scooter", $UA))
		|| (ereg("Scout", $UA))
		|| (ereg("Index", $UA))
		|| (ereg("Agent", $UA))
		|| (ereg("grub", $UA))
		|| (ereg("Spider", $UA))
		|| (ereg("Infoseek", $UA))
		|| (ereg("webspider", $UA))
		|| (ereg("indexer", $UA))
		|| (ereg("metacrawler", $UA))
		|| (ereg("Slurp", $UA))
		|| (ereg("Seek", $UA))
		|| (ereg("Lycos", $UA))
		|| (ereg("Netcraft Web Server Survey", $UA))
		|| (ereg("Spyder", $UA))
		|| (ereg("Mata Hari", $UA))
		|| (ereg("Search", $UA))) $browser = "Bot";
	// Validator
	elseif((ereg("W3C_Validator", $UA))
		|| (ereg("validator", $UA))) $browser = "Validator";
	// vriga
	else $browser = "OvrigaLasare";
	return $browser;
}

function op_sys($UA)	/*funktionen op_sys returnerar operativsystemet fr en given User Agent-strng som ges i parametern.*/
{
	if((ereg("Win", $UA))
		|| (ereg("NT", $UA))
		|| (ereg("DOS", $UA))
		|| (ereg("Windows", $UA))) $os = "Windows";
	elseif((ereg("Mac", $UA))
		|| ((ereg("Mac OS", $UA))
			|| (ereg("Apple", $UA))
			&&(!(ereg("Mac OS X", $UA)
				|| ereg("Darwin", $UA)
				|| ereg("MacOS X", $UA)
				|| ereg("Aqua", $UA))))
		|| (ereg("Macintosh", $UA))) $os = "Mac";
	elseif((ereg("Mac OS X", $UA))
		|| (ereg("Darwin", $UA))
		|| (ereg("OmniWeb", $UA))
		|| (ereg("MacOS X", $UA))
		|| (ereg("Aqua", $UA))) $os = "MacOSX";
	elseif(ereg("Linux", $UA)) $os = "Linux";
	elseif(ereg("FreeBSD", $UA)) $os = "FreeBSD";
	elseif(ereg("OpenBSD", $UA)) $os = "OpenBSD";
	elseif(ereg("NetBSD", $UA)) $os = "NetBSD";
	elseif((ereg("SunOS", $UA))
		|| (ereg("Solaris", $UA))) $os = "SunOS";
	elseif((ereg("Tru64", $UA))
		|| (ereg("Compaq", $UA))) $os = "Tru64";
	elseif(ereg("IRIX", $UA)) $os = "IRIX";
	elseif(ereg("BeOS", $UA)) $os = "BeOS";
	elseif(ereg("OS/2", $UA)) $os = "OS2";
	elseif(ereg("HP-UX", $UA)) $os = "HPUX";
	elseif(ereg("AIX", $UA)) $os = "AIX";
	elseif(ereg("QNX", $UA)) $os = "QNX";
	elseif(ereg("AtheOS", $UA)) $os = "AtheOS";
	elseif(ereg("Amiga", $UA)) $os = "Amiga";
	elseif(ereg("Atari", $UA)) $os = "Atari";
	else $os = "OvrigaOS";
	return $os;
}
?>